Docs

Gift Cards · Guides

List available gift cards

Get the gift card catalog from the Billpay payee list and cache it.

Available gift cards are exposed through the Billpay API. Call the payee list with category=Giftcard. Each payee’s payee_id is the ID you use to purchase that gift card.

Request

List gift cards
curl "https://dev-api.finco.lat/api/v1/payees?category=Giftcard" \
  -H 'Authorization: Bearer your_api_key'
Query parameter Required Description
category No Exact match on the payee category. Use Giftcard to list gift cards.
page No Page number, starting at 1. Default 1.
name No Case-insensitive partial match on the display name.

See List gift card payees.

Response

200 OK
{
  "meta": {
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "total_pages": 1,
    "total_count": 1
  },
  "payees": [
    {
      "payee_id": "1a079e9a-2bee-46e0-a993-32b714cf0c09",
      "name": "Amazon eGift - MEX",
      "category": "Giftcard",
      "type": "EGift",
      "currency": "MXN",
      "reference_config": { "regex": null },
      "images": {
        "small": { "id": "MEDIUM", "url": "https://content.monato.com/giftcards/medium/amazon.png" },
        "large": { "id": "EXTRA_LARGE", "url": "https://content.monato.com/giftcards/xlarge/amazon.png" }
      },
      "redemption_info": "",
      "price": "5.0"
    }
  ]
}

The list is paginated. Use meta.next_page to fetch the next page. It is null on the last page. An empty result returns "payees": [].

A missing or invalid Bearer token returns 401.

Cache the catalog

Gift card products are not updated very often. Cache the gift card list on your application server for at least 7 days to avoid unnecessary requests.